## NAME

           form_new_page - form pagination functions

## SYNOPSIS

           #include <form.h>
           int set_new_page(FIELD *field, bool new_page_flag);
           bool new_page(const FIELD *field);

## DESCRIPTION

           The  function  set_new_page  sets or resets a flag marking
           the given field as the beginning of  a  new  page  on  its
           form.

           The  function  new_page  is  a  predicate which tests if a
           given field marks a page beginning on its form.

## RETURN VALUE

           The function new_page returns TRUE or FALSE.

           The function set_new_page return one of the following:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno).

           E_CONNECTED
                The given field is already connected to a form.

## SEE ALSO

           curses(3x) and 3x pages  whose  names  begin  "form_"  for
           detailed descriptions of the entry points.

## NOTES

           The header file <form.h> automatically includes the header
           file <curses.h>.

## PORTABILITY

           These routines emulate the System V forms  library.   They
           were not supported on Version 7 or BSD versions.

## AUTHORS

           Juergen  Pfeifer.   Manual  pages  and  adaptation for new
           curses by Eric S. Raymond.